Package io.vertx.sqlclient.templates.generator

## Class MapperGenBase

- java.lang.Object
- - io.vertx.codegen.processor.Generator<io.vertx.codegen.processor.DataObjectModel>
  - - io.vertx.sqlclient.templates.generator.MapperGenBase

- Direct Known Subclasses:
    `ParametersMapperGen`, `RowMapperGen`

      public abstract class MapperGenBase
      extends io.vertx.codegen.processor.Generator<io.vertx.codegen.processor.DataObjectModel>

  Author:
    Julien Viet

- - ### Field Summary

    - ### Fields inherited from class io.vertx.codegen.processor.Generator

      `env, incremental, kinds, name`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MapperGenBase()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Collection<Class<? extends Annotation>>` | `annotations()` |
    `String` | `filename​(io.vertx.codegen.processor.DataObjectModel model)` |
    `protected abstract String` | `genSimpleName​(io.vertx.codegen.processor.DataObjectModel model)` |
    `protected abstract Optional<io.vertx.codegen.processor.type.AnnotationValueInfo>` | `getAnnotation​(io.vertx.codegen.processor.DataObjectModel model)` |
    `protected String` | `getMappingName​(io.vertx.codegen.processor.PropertyInfo prop, String annotationName)` |
    `String` | `render​(io.vertx.codegen.processor.DataObjectModel model, int index, int size, Map<String,​Object> session)` |
    `protected abstract void` | `renderDeclaration​(io.vertx.codegen.processor.DataObjectModel model, PrintWriter writer)` |
    `protected abstract void` | `renderMembers​(String visibility, io.vertx.codegen.processor.DataObjectModel model, PrintWriter writer)` |

    - ### Methods inherited from class io.vertx.codegen.processor.Generator

      `load`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapperGenBase

          public MapperGenBase()

  - ### Method Detail

    - #### annotations

          public Collection<Class<? extends Annotation>> annotations()

      Overrides:
        `annotations` in class `io.vertx.codegen.processor.Generator<io.vertx.codegen.processor.DataObjectModel>`

    - #### filename

          public String filename​(io.vertx.codegen.processor.DataObjectModel model)

      Overrides:
        `filename` in class `io.vertx.codegen.processor.Generator<io.vertx.codegen.processor.DataObjectModel>`

    - #### getAnnotation

          protected abstract Optional<io.vertx.codegen.processor.type.AnnotationValueInfo> getAnnotation​(io.vertx.codegen.processor.DataObjectModel model)

    - #### genSimpleName

          protected abstract String genSimpleName​(io.vertx.codegen.processor.DataObjectModel model)

    - #### render

          public String render​(io.vertx.codegen.processor.DataObjectModel model,
                               int index,
                               int size,
                               Map<String,​Object> session)

      Overrides:
        `render` in class `io.vertx.codegen.processor.Generator<io.vertx.codegen.processor.DataObjectModel>`

    - #### renderDeclaration

          protected abstract void renderDeclaration​(io.vertx.codegen.processor.DataObjectModel model,
                                                    PrintWriter writer)

    - #### renderMembers

          protected abstract void renderMembers​(String visibility,
                                                io.vertx.codegen.processor.DataObjectModel model,
                                                PrintWriter writer)

    - #### getMappingName

          protected String getMappingName​(io.vertx.codegen.processor.PropertyInfo prop,
                                          String annotationName)